// components/enterprise/enterprise.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    info: {
      type: Object
    }
  },

  /**
   * 组件的初始数据
   */
  data: {
    hidden: true,
  },



  /**
   * 组件的方法列表
   */
  methods: {

    // 展示隐藏企业文化
    hidden() {
      this.setData({
        hidden: !this.data.hidden
      })
    },
    /**
     *滚动条触发事件
     */
    scroll(e) {

    },

    /**
     *  跳转更多 1管理层 2 员工层 3 企业简介 4企业风采 5企业视频
     */
    goPages(e) {
      switch (e.currentTarget.dataset.id) {
        case '1':
          console.log('更多管理层')
          wx.navigateTo({
            url: '/pages/home/companyMore/companyMore?type=1',
          })
          break;

        case '2':
          console.log('更多员工层')
          wx.navigateTo({
            url: '/pages/home/companyMore/companyMore?type=2',
          })
          break;

        case '4':
          console.log('更多企业风采')
          wx.navigateTo({
            url: '/pages/home/companyMore/companyMore?type=4',
          })
          break;

        case '5':
          console.log('更多企业视频')
          wx.navigateTo({
            url: '/pages/home/companyMore/companyMore?type=5',
          })
          break;

        default:
          break;
      }
    },
    // 跳转到员工名片详情
    goCard(e) {
      console.log(e.currentTarget.dataset.cardid);
      wx.navigateTo({
        url: '/pages/card/index?cardid='+e.currentTarget.dataset.cardid,
      })
    }
  }
})